--TEST--
maxdb connect
--SKIPIF--
<?php require 'skipif.inc'; ?>
--FILE--
<?php
	include "connect.inc";

	/*** test maxdb_connect 127.0.0.1 ***/
	$link = maxdb_connect("localhost", $user, $passwd);

	maxdb_select_db($link, $db);
		
        maxdb_report (MAXDB_REPORT_OFF);
	maxdb_query($link,"DROP TABLE IF EXISTS test_bind_result");
        maxdb_report (MAXDB_REPORT_ERROR);

  	maxdb_query($link,"CREATE TABLE test_bind_result(c1 date, c2 time, 
                                                        c3 timestamp)");

  	maxdb_query($link,"INSERT INTO test_bind_result VALUES('2002-01-02',
                                                              '12:49:00',
                                                              '2002-01-02 17:46:59')");

	$stmt = maxdb_prepare($link, "SELECT * FROM test_bind_result");
  	maxdb_bind_result($stmt, $c1, $c2, $c3);
 	maxdb_execute($stmt);
	maxdb_fetch($stmt);

	$test = array($c1,$c2,$c3);

	var_dump($test);

	maxdb_stmt_close($stmt);
	maxdb_close($link);
?>
--EXPECT--
array(3) {
  [0]=>
  string(10) "2002-01-02"
  [1]=>
  string(8) "12:49:00"
  [2]=>
  string(26) "2002-01-02 17:46:59.000000"
}
