--TEST--
maxdb fetch (bind_param + bind_result) 
--SKIPIF--
<?php require 'skipif.inc'; ?>
--FILE--
<?php
	include "connect.inc";
	
	/*** test maxdb_connect 127.0.0.1 ***/
	$link = maxdb_connect("localhost", $user, $passwd);

	maxdb_select_db($link, $db);

        maxdb_report (MAXDB_REPORT_OFF);
  	maxdb_query($link,"DROP TABLE insert_read");
        maxdb_report (MAXDB_REPORT_ERROR);

  	$rc = maxdb_query($link,"CREATE TABLE insert_read(col1 smallint, col2 smallint,
                                                       col3 int, col4 fixed(30), 
                                                       col5 float, col6 float,
                                                       col7 date, col8 time, 
                                                       col9 varchar(10), 
                                                       col10 varchar(50),
                                                       col11 char(20))");
  
	$stmt=  maxdb_prepare($link,"INSERT INTO insert_read(col1,col10, col11) VALUES(?,?,?)");
	maxdb_bind_param($stmt, "iss", $c1, $c2, $c3);

	$c1 = 1;
	$c2 = "foo";
	$c3 = "foobar";

	maxdb_execute($stmt);
	maxdb_stmt_close($stmt);

	$stmt = maxdb_prepare($link, "SELECT col1, col2, col3, col4, col5, col6, col7, col8, col9, col10, col11 from insert_read");
	maxdb_bind_result($stmt, $c1, $c2, $c3, $c4, $c5, $c6, $c7, $c8, $c9, $c10, $c11); 
	maxdb_execute($stmt);

	maxdb_fetch($stmt);

	$test = array($c1,$c2,$c3,$c4,$c5,$c6,$c7,$c8,$c9,$c10,$c11);

	var_dump($test);

	maxdb_stmt_close($stmt);
	maxdb_close($link);
?>
--EXPECT--
array(11) {
  [0]=>
  int(1)
  [1]=>
  NULL
  [2]=>
  NULL
  [3]=>
  NULL
  [4]=>
  NULL
  [5]=>
  NULL
  [6]=>
  NULL
  [7]=>
  NULL
  [8]=>
  NULL
  [9]=>
  string(3) "foo"
  [10]=>
  string(6) "foobar"
}
