--TEST--
sqlmode + bind
--FILE--
<?php
	include "connect.inc";
	
	/*** test maxdb_connect 127.0.0.1 ***/
	$link = maxdb_connect("localhost", $user, $passwd);

	maxdb_select_db($link, $db);

	/* maxdb_query($link, "SET SQL_MODE='PIPES_AS_CONCAT'"); */

        maxdb_report (MAXDB_REPORT_OFF);
  	maxdb_query($link,"DROP TABLE mbind");
        maxdb_report (MAXDB_REPORT_ERROR);
  	maxdb_query($link,"CREATE TABLE mbind (b varchar(1000))");

	$stmt = maxdb_prepare($link, "INSERT INTO mbind VALUES (? & ?)");
	
	maxdb_bind_param($stmt, "ss", $a, $b);

	$a = "foo";
	$b = "bar";

	maxdb_execute($stmt);

	maxdb_stmt_close($stmt);

	$stmt = maxdb_prepare($link, "SELECT * FROM mbind");
	maxdb_execute($stmt);

	maxdb_bind_result($stmt, $e);
	maxdb_fetch($stmt);

	var_dump($e);

	maxdb_close($link);
?>
--EXPECT--
string(257) "foo                                                                                                                                                                                                                                                           bar"
